margin=0.01;
plotgrid=250;
run plot_cust
%% Ergodic
jump=[max(bpSIM)-min(bpSIM)+2*margin]/(plotgrid);
pic=figure;
[fk,xik] = ksdensity(bpSIM);
densityk=fk/sum(sum(fk));
H=plot(xik,densityk); 
set(H,'Color',col_de,'Linewidth',LineW_d)
hXlabel=xlabel('Bond Holdings');
hYlabel=ylabel('Frequency');
set(gca,'FontSize',13,'FontName','Times New Roman')

hold on

[fk,xik] = ksdensity(bpSP_SIM);
densityk=fk/sum(sum(fk));
H=plot(xik,densityk,'-.'); 
hLegend=legend('DE','SP','location','northeast');
legend boxoff
xlim([min(bpSIM)-margin,max(bpSIM)]);
set(H,'Color',col_sp,'Linewidth',LineW_d)
set(gca,  'Box'         , 'off'     , 'TickDir'     , 'out'     ,'TickLength'  , [.02 .02] , 'YMinorTick'  , 'off     ' , 'YGrid' , 'off'      , 'XColor'      , [.3 .3 .3],    'YColor'      , [.3 .3 .3],    'LineWidth'   , 1      )  
set(hXlabel,'Fontsize',10,'FontName'   , 'AvantGarde')    
set(hYlabel,'Fontsize',15,'FontName'   , 'AvantGarde')   
set(hLegend,'Fontsize',20,'FontName'   , 'AvantGarde') 
filename=sprintf('Ergodic_bond_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 


%% Endogeneous
figure
H=plot(Event,-RER_Event*100,Event,-RERSP_Event*100,'-.'); 
hTitle=title('(a). RER');
hXlabel=xlabel('T');
hYlabel=ylabel('%');
axis([-nbd nbd min(-RER_Event*100) max(-RER_Event*100)])
set(H(1),'Color',col_de,'Linewidth',LineW_d)
set(H(2),'Color',col_sp,'Linewidth',LineW_d)
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hXlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde') 
filename=sprintf('Crisis_endogenousRER_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=plot(Event,bp_Event*100,Event,bpSP_Event*100,'-.');
hLegend=legend('DE', 'SP','Location','Southeast');
legend boxoff
hXlabel=xlabel('T');
hTitle=title('(b). B\prime');
hYlabel=ylabel('%');
axis([-nbd nbd min(bp_Event*100) max(bp_Event*100)])
set(H(1),'Color',col_de,'Linewidth',LineW_d)
set(H(2),'Color',col_sp,'Linewidth',LineW_d)
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hXlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde') 
set(hLegend,'Fontsize',15,'FontName'   , 'AvantGarde')
filename=sprintf('Crisis_endogenousBP_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=plot(Event,c_Event*100,Event,cSP_Event*100,'-.');
hXlabel=xlabel('T');
hTitle=title('(c). c^T');
hYlabel=ylabel('%');
set(H(1),'Color',col_de,'Linewidth',LineW_d)
set(H(2),'Color',col_sp,'Linewidth',LineW_d)
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hXlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde') 
filename=sprintf('Crisis_endogenousCT_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=plot(Event,CA_Event*100,Event,CASP_Event*100,'-.');
hLegend=legend('DE', 'SP');
legend boxoff
hXlabel=xlabel('T');
hTitle=title('(d). CA/Y');
hYlabel=ylabel('%');
set(H(1),'Color',col_de,'Linewidth',LineW_d)
set(H(2),'Color',col_sp,'Linewidth',LineW_d)
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hXlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde') 
set(hLegend,'Fontsize',15,'FontName'   , 'AvantGarde')
filename=sprintf('Crisis_endogenousCA_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

%% Exgoneous
pic=figure;
subplot(3,1,1)


H=bar(Event, [news_EventG' news_EventA' news_EventB'] , 0.2, 'stack');
hTitle1=title('(a). News Signals');
hYlabel1=ylabel('Frequency');
hLegend1=legend('Good', 'Avg', 'Bad','Location','eastoutside');
legend boxoff
subplot(3,1,2)

H=bar(Event, [Rh_Event' Rl_Event'] , 0.2, 'stack');
hTitle2=title('(b). Interest Rate Regimes');
hYlabel2=ylabel('Frequency');
hLegend2=legend('High', 'Low','Location','eastoutside');
legend boxoff

subplot(3,1,3)
H=bar(Event, [yt_EventG' yt_EventA' yt_EventB'] , 0.2, 'stack');
hTitle3=title('(c). Tradables Income Shocks');
hYlabel3=ylabel('Frequency');
hLegend3=legend('High', 'Avg', 'Low','Location','eastoutside');
legend boxoff

set([hYlabel1 hYlabel2 hYlabel3],'Fontsize',10,'FontName'   , 'AvantGarde')   
set([hTitle1 hTitle2 hTitle3],'Fontsize',3,'FontName'   , 'AvantGarde')  
set([hLegend1 hLegend2 hLegend3],'Fontsize',3,'FontName'   , 'AvantGarde') 
filename=sprintf('Crisis_exogeneous_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

exgo=[news_EventG' news_EventA' news_EventB' Rh_Event' Rl_Event' yt_EventG' yt_EventA' yt_EventB'];
exgo=exgo(nbd-1:nbd+1,:);


%% Tax Schedule
pic=figure(4);

subplot(2,3,1)
plot(B(IN(1):end),Tao(IN(1):end,1),B(IN(1+NSS):end),Tao(IN(1+NSS):end,1+NSS),':','linewidth',4)
legend('High R','Low R','location','northeast')
legend boxoff
title('\fontsize{15}(a). Bad news,Low y^T')
xlim([bmin -0.6])
xlabel('B')
ylabel('Tax')

subplot(2,3,4)
plot(B(IN(3):end),Tao(IN(3):end,3),B(IN(3+NSS):end),Tao(IN(3+NSS):end,3+NSS),':','linewidth',4)
legend('High R','Low R','location','northeast')
legend boxoff
title('\fontsize{15}(d). Bad news, High y^T')
ylabel('Tax')
xlabel('B')
xlim([bmin -0.6])

subplot(2,3,2)
plot(B(IN(4):end),Tao(IN(4):end,4),B(IN(4+NSS):end),Tao(IN(4+NSS):end,4+NSS),':','linewidth',4)
legend('High R','Low R','location','northeast')
legend boxoff
title('\fontsize{15}(b). Avg news,Low y^T')
ylabel('Tax')
xlabel('B')
xlim([bmin -0.6])

subplot(2,3,5)
plot(B(IN(6):end),Tao(IN(6):end,6),B(IN(6+NSS):end),Tao(IN(6+NSS):end,6+NSS),':','linewidth',4)
legend('High R','Low R','location','northeast')
legend boxoff
title('\fontsize{15}(e). Avg news,High y^T')
ylabel('Tax')
xlabel('B')
xlim([bmin -0.6])

subplot(2,3,3)
plot(B(IN(7):end),Tao(IN(7):end,7),B(IN(7+NSS):end),Tao(IN(7+NSS):end,7+NSS),':','linewidth',4)
legend('High R','Low R','location','northeast')
legend boxoff
title('\fontsize{15}(c). Good news,Low y^T')
ylabel('Tax')
xlabel('B')
xlim([bmin -0.6])

subplot(2,3,6)
plot(B(IN(9):end),Tao(IN(9):end,9),B(IN(9+NSS):end),Tao(IN(9+NSS):end,9+NSS),':','linewidth',4)
legend('High R','Low R','location','northeast')
legend boxoff
title('\fontsize{15}(f). Good news,High y^T')
ylabel('Tax')
xlabel('B')
xlim([bmin -0.6])
filename=sprintf('Policy_tax_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600,'height',6,'width',16) 

% News type
pic=figure(5);
subplot(2,2,1)
plot(B(IN(1):end),Tao(IN(1):end,1),B(IN(4):end),Tao(IN(4):end,4),'--',B(IN(7):end),Tao(IN(7):end,7),':','linewidth',5)
title('\fontsize{15}(a). Low y^T,High R')
xlabel('B')
ylabel('Tax')
xlim([bmin -0.6])
legend('Bad news','Average news','Good news','location','northeast')
legend boxoff

subplot(2,2,2)
plot(B(IN(3):end),Tao(IN(3):end,3),B(IN(6):end),Tao(IN(6):end,6),'--',B(IN(9):end),Tao(IN(9):end,9),':','linewidth',5)
title('\fontsize{15}(b). High y^T,High R')
xlabel('B')
ylabel('Tax')
xlim([bmin -0.6])
legend('Bad news','Average news','Good news','location','northeast')
legend boxoff

subplot(2,2,3)
plot(B(IN(1+NSS):end),Tao(IN(1+NSS):end,1+NSS),B(IN(4+NSS):end),Tao(IN(4+NSS):end,4+NSS),'--',B(IN(7+NSS):end),Tao(IN(7+NSS):end,7+NSS),':','linewidth',5)
title('\fontsize{15}(c). Low y^T,Low R')
xlabel('B')
ylabel('Tax')
xlim([bmin -0.6])
legend('Bad news','Average news','Good news','location','northeast')
legend boxoff

subplot(2,2,4)
plot(B(IN(3+NSS):end),Tao(IN(3+NSS):end,3+NSS),B(IN(6+NSS):end),Tao(IN(6+NSS):end,6+NSS),'--',B(IN(9+NSS):end),Tao(IN(9+NSS):end,9+NSS),':','linewidth',5)
title('\fontsize{15}(d). High y^T,Low R')
xlabel('B')
ylabel('Tax')
xlim([bmin -0.6])
legend('Bad news','Average news','Good news','location','northeast')
legend boxoff

filename=sprintf('Policy_tax_byNews_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600,'height',6,'width',16) 


%% R switch

Rswitchlabel={'Low Liquidity' 'High Liquidity'};

figure
H=bar(RswitchComp(1,:)',0.45,'hist');
hTitle=title('(a). c^T in Crises');
hYlabel=ylabel('Deviation from mean %');
ylim([min(RswitchComp(1,:))-1 max(RswitchComp(1,:))/2]);
set(gca,'XTickLabel',Rswitchlabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
filename=sprintf('Crisis_RswitchCT_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=bar(RswitchComp(2,:)',0.45,'hist');
hTitle=title('(b). RER in Crises');
hYlabel=ylabel('Deviation from mean %');
ylim([min(RswitchComp(2,:))-1 min(RswitchComp(2,:))/2]);
set(gca,'XTickLabel',Rswitchlabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')    
filename=sprintf('Crisis_RswitchRER_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=bar(RswitchComp(3,:)',0.45,'hist');
hTitle=title('(c). CA in Crises');
hYlabel=ylabel('Deviation from mean %');
ylim([min(RswitchComp(3,:))/2 max(RswitchComp(3,:))+1]);
set(gca,'XTickLabel',Rswitchlabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')    
filename=sprintf('Crisis_RswitchCA_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=bar(RswitchComp(4,:)',0.45,'hist');
hTitle=title('(d). Debt Tax before Crises');
hYlabel=ylabel('%');
ylim([min(RswitchComp(4,:))-0.1 max(RswitchComp(4,:))+0.05]);
set(gca,'XTickLabel',Rswitchlabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
filename=sprintf('Crisis_RswitchT_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

%% News

newslabel={'Bad' 'Avg' 'Good'};

figure
H=bar(newsComp(1,:)',0.6,'hist');
hTitle=title('(a). c^T in Crises');
hYlabel=ylabel('Deviation from mean %');
hXlabel=xlabel('News');
ylim([min(newsComp(1,:))-1 max(newsComp(1,:))/2]);
set(gca,'XTickLabel',newslabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hXlabel,'Fontsize',15,'FontName'   , 'AvantGarde')   
filename=sprintf('Crisis_NewsCT_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=bar(newsComp(2,:)',0.6,'hist');
hTitle=title('(b). RER in Crises');
hYlabel=ylabel('Deviation from mean %');
ylim([min(newsComp(2,:))-1 min(newsComp(2,:))/2]);
hXlabel=xlabel('News');
set(gca,'XTickLabel',newslabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hXlabel,'Fontsize',15,'FontName'   , 'AvantGarde')   
filename=sprintf('Crisis_NewsRER_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=bar(newsComp(3,:)',0.6,'hist');
hTitle=title('(c). CA in Crises');
hYlabel=ylabel('Deviation from mean %');
ylim([min(newsComp(3,:))/2 max(newsComp(3,:))+1]);
hXlabel=xlabel('News');
set(gca,'XTickLabel',newslabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hXlabel,'Fontsize',15,'FontName'   , 'AvantGarde')   
filename=sprintf('Crisis_NewsCA_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 

figure
H=bar(newsComp(4,:)',0.6,'hist');
hTitle=title('(d). Debt Tax before Crises');
hYlabel=ylabel('%');
hXlabel=xlabel('News');
ylim([min(newsComp(4,:))-0.1 max(newsComp(4,:))+0.05]);
set(gca,'XTickLabel',newslabel);
set(hTitle,'Fontsize',15,'FontName'   , 'AvantGarde')
set(hYlabel,'Fontsize',12,'FontName'   , 'AvantGarde')   
set(hXlabel,'Fontsize',15,'FontName'   , 'AvantGarde')   
filename=sprintf('Crisis_NewsT_info_%1.2f.eps',info);
exportfig(gcf,filename,'color','cmyk','resolution',1600) 
